Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Python Version with RoboDK
#1
Is it possible to use other version of python rather than 3.4, for example python 3.7? As I noticed it comes default with python3.4. Sorry, I am a newbie here.
#2
Hi mnurpeiissov

You can install other versions of Python separately, then, you can enter the path in Tools-Options-Other

If you are using the latest version of RoboDK and you install Python in a default path, you'll be able to select it automatically as shown in the picture.

   

Hope it helps. 
Jeremy
#3
Thank you very much. And other question, won't be there any problems if I use python 3.7 for offline programming of UR5? Can I use any library (packages) for programmin the robot? For example in generation of robot program. I could not find any information about it Python API documentation.
#4
Thank you so much for this topic. I was searching the answer for the same question and got right answer here. Again thank you.
#5
Hi all,

I am running a python code including RDK = Robolink() from command line. When I use Python 3.4 (RoboDK's default) everything works fine. But as soon as I try the same code with python 3.7, it opens RoboDK and then freezes.

I am using the latest release and this is my RoboDK python path:
   

This is the message after keyboard interruption:
Quote:Traceback (most recent call last):
  File "C:\Users\MFarzanehkaloorazi\AppData\Local\Programs\Python\Python37-32\lib\site-packages\robolink\robolink.py", line 777, in Connect
    start_robodk(command)
  File "C:\Users\MFarzanehkaloorazi\AppData\Local\Programs\Python\Python37-32\lib\site-packages\robolink\robolink.py", line 734, in start_robodk
    line = str(p.stdout.readline().decode("utf-8")).strip()
KeyboardInterrupt

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "Start_host.py", line 8, in <module>
    RL = Robolink(args='/NOSPLASH')
  File "C:\Users\MFarzanehkaloorazi\AppData\Local\Programs\Python\Python37-32\lib\site-packages\robolink\robolink.py", line 654, in __init__
    self.Connect()
  File "C:\Users\MFarzanehkaloorazi\AppData\Local\Programs\Python\Python37-32\lib\site-packages\robolink\robolink.py", line 781, in Connect
    raise Exception('Application path is not correct or could not start: ' + self.APPLICATION_DIR)
Exception: Application path is not correct or could not start: C:/RoboDK/bin/RoboDK.exe
#6
Can you provide the RDK file?
Did you install RoboDK from the default installer? You should not move the folder once installed.

It looks like RoboDK can't be found. Also, make sure you are not running 2 instances of RoboDK.
#7
Hi,

Updated to the latest release and it works fine.

Thanks
  




Users browsing this thread:
2 Guest(s)